package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;

public class CourseScheduleReview {
    /**
    * 评价id
    */
    private Integer id;

    /**
    * 课程id
    */
    @ApiModelProperty(value = "课程编号",required = false)
    private Integer courseScheduleId;

    /**
    * 班级id
    */
    private Integer classGroupId;

    /**
    * 老师id
    */
    private Integer teacherId;

    /**
    * 教务老师id
    */
    private Integer educationalTeacherId;

    /**
    * 学生id
    */
    private Integer studentId;

    /**
    * 教材内容
    */
    private String teachingMaterial;

    /**
    * 曲目
    */
    private String song;

    /**
    * 评价备注
    */
    private String memo;

    /**
    * 发音
    */
    private Integer pronunciation;

    /**
    * 节奏
    */
    private Integer tempo;

    /**
    * 乐理
    */
    private Integer musicTheory;

    /**
    * 是否双向沟通 0-否 1-是
    */
    private Integer hasLiaison;

    /**
    * 是否交作业 0-否 1-是
    */
    private Integer handHomework;

    /**
    * 课程评价
    */
    private String courseReview;

    /**
     * 学生评价
     */
    private Integer studentReview;

    /**
    * 评价时间
    */
    private Date createTime;

    /**
    * 修改时间
    */
    private Date updateTime;

    /**
     * 作业
     */
    @ApiModelProperty(value = "作业",required = false)
    private String homeWork;

    @ApiModelProperty(value = "上课日期",required = false)
    private Date classDate;

    @ApiModelProperty(value = "课程名称",required = false)
    private String courseName;

    @ApiModelProperty(value = "老师名字",required = false)
    private String teacherName;

    @ApiModelProperty(value = "老师头像",required = false)
    private String teacherAvatar;

    @ApiModelProperty(value = "学生名字",required = false)
    private String studentName;

    @ApiModelProperty(value = "学生",required = false)
    private String studentAvatar;

    @ApiModelProperty(value = "教务老师名字",required = false)
    private String eduTeacherName;

    private ImSendTypeEnum msgType = ImSendTypeEnum.TXT;

    public ImSendTypeEnum getMsgType() {
        return msgType;
    }

    public void setMsgType(ImSendTypeEnum msgType) {
        this.msgType = msgType;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Integer courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public Integer getClassGroupId() {
        return classGroupId;
    }

    public void setClassGroupId(Integer classGroupId) {
        this.classGroupId = classGroupId;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public void setEducationalTeacherId(Integer educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getTeachingMaterial() {
        return teachingMaterial;
    }

    public void setTeachingMaterial(String teachingMaterial) {
        this.teachingMaterial = teachingMaterial;
    }

    public String getSong() {
        return song;
    }

    public void setSong(String song) {
        this.song = song;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public Integer getPronunciation() {
        return pronunciation;
    }

    public void setPronunciation(Integer pronunciation) {
        this.pronunciation = pronunciation;
    }

    public Integer getTempo() {
        return tempo;
    }

    public void setTempo(Integer tempo) {
        this.tempo = tempo;
    }

    public Integer getMusicTheory() {
        return musicTheory;
    }

    public void setMusicTheory(Integer musicTheory) {
        this.musicTheory = musicTheory;
    }

    public Integer getHasLiaison() {
        return hasLiaison;
    }

    public void setHasLiaison(Integer hasLiaison) {
        this.hasLiaison = hasLiaison;
    }

    public Integer getHandHomework() {
        return handHomework;
    }

    public void setHandHomework(Integer handHomework) {
        this.handHomework = handHomework;
    }

    public String getCourseReview() {
        return courseReview;
    }

    public void setCourseReview(String courseReview) {
        this.courseReview = courseReview;
    }

    public Integer getStudentReview() {
        return studentReview;
    }

    public void setStudentReview(Integer studentReview) {
        this.studentReview = studentReview;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public String toString() {
        return ToStringBuilder.reflectionToString(this);
    }

    public Date getClassDate() {
        return classDate;
    }

    public void setClassDate(Date classDate) {
        this.classDate = classDate;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getHomeWork() {
        return homeWork;
    }

    public void setHomeWork(String homeWork) {
        this.homeWork = homeWork;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getTeacherAvatar() {
        return teacherAvatar;
    }

    public void setTeacherAvatar(String teacherAvatar) {
        this.teacherAvatar = teacherAvatar;
    }

    public String getStudentAvatar() {
        return studentAvatar;
    }

    public void setStudentAvatar(String studentAvatar) {
        this.studentAvatar = studentAvatar;
    }

    public String getEduTeacherName() {
        return eduTeacherName;
    }

    public void setEduTeacherName(String eduTeacherName) {
        this.eduTeacherName = eduTeacherName;
    }
}